/*global $,owl,smoothScroll,AOS*/
$(document).ready(function () {
    "use strict";

    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */
    $(window).load(function () {
        $("body").css('overflow-y', 'auto');
        $('#loading').fadeOut(1000);
    });


    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });


    /* ---------------------------------------------
     Sliders
    --------------------------------------------- */
    $(".h-slider").owlCarousel({
//        transitionStyle: "fade",
        navigation: false,
        slideSpeed: 1000,
        paginationSpeed: 400,
        singleItem: true,
        responsive: true,
        autoPlay: 5000,
        pagination: true,
        stopOnHover: false,
        mouseDrag: false,
        navigationText: ["<span class='slider-left'><i class='fa fa-arrow-left'></i></span>", "<span class='slider-right'><i class='fa fa-arrow-right'></i></span>"],
        afterAction: function (el) {
            //remove class active
            this
                .$owlItems
                .removeClass('active');

            //add class active
            this
                .$owlItems //owl internal $ object containing items
                .eq(this.currentItem)
                .addClass('active');
        }
    });
    smoothScroll.init({
        speed: 800,
        updateURL: false,
        offset: 50
    });
    $(".pr-slider").owlCarousel({
        navigation: true,
        slideSpeed: 200,
        responsive: true,
        autoPlay: 5000,
        items: 5,
        mouseDrag: true,
        pagination: false,
        itemsCustom: [
			[0, 1],
			[450, 2],
			[600, 3],
			[700, 3],
            [800, 4],
			[1000, 5],
			[1200, 5],
			[1400, 5],
			[1600, 5]
        ],
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i></span>", "<span class='slider-right'><i class='fa fa-angle-right'></i></span>"],
        stopOnHover: true
    });
    $(".bu-slider").owlCarousel({
        navigation: true,
        slideSpeed: 200,
        responsive: true,
        autoPlay: 5000,
        items: 3,
        mouseDrag: true,
        pagination: true,
        itemsCustom: [
			[0, 1],
			[450, 1],
			[600, 1],
			[700, 1],
            [800, 1],
			[1000, 3],
			[1200, 3],
			[1400, 3],
			[1600, 3]
        ],
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i></span>", "<span class='slider-right'><i class='fa fa-angle-right'></i></span>"],
        stopOnHover: true
    });

    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });


    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 300) {
            $('.main-head').addClass('sticky');
        } else {
            $('.main-head').removeClass('sticky');
        }
    });

    $('.side-nav').mCustomScrollbar({
        autoHideScrollbar: false,
        setTop: 0,
        scrollInertia: 50,
        theme: "light-1"
    });

    $('.open-sidebar').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeIn();
        $('body').addClass('sided');
    });

    $('.overlay_gen,.side-nav a').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeOut();
        $('body').removeClass('sided');
    });

    $('[data-fancybox]').fancybox();

    $('.op-search').on('click', function () {
        $('.over-search').addClass('opened');
    });

    $('.srch').on('click', function () {
        $('.over-search').removeClass('opened');
    });

    $('.main-nav li').on("click", function () {
        $(this).addClass('current-menu-item').siblings().removeClass('current-menu-item');
    });

});